package main
import "time"
type Obligation struct {
   Event
   Deadline time.Time `json:"deadline"`
}
type PaymentObligation struct {
   Obligation
   Amount MonetaryAmount `json:"amount"`
   Description string `json:"description"`
}
type NotificationObligation struct {
   Obligation
   Title string `json:"title"`
   Message string `json:"message"`
}
